Eksportuoti lentelės eilutes
Eksportuoja atrinktas lentelės eilutes kaip atsisiunčiamo failo srautą (ndjson, json, csv arba parquet).
Atnaujinta
Path Parameters
Query Parameters
Output file format: ndjson (default), json, csv, xlsx (Excel, capped at 1,000,000 rows) or parquet.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Query definition sent as the JSON request body. All fields are optional; an empty body {} returns the first page of all columns.
Response Body
curl -X POST "https://example.com/namespaces/string/tables/string/export?format=ndjson" \ -H "Content-Type: application/json" \ -d '{ "limit": 10, "offset": 0, "select": "lytis,mirties_metai,pavadinimas", "filter": "lytis=Moteris", "sort": "-mirties_metai", "exclude_nulls": [ "m_konc" ] }'{
"error": "string",
"error_code": "string"
}{
"message": "string",
"error_code": "string"
}{
"detail": [
{
"loc": [
null
],
"msg": "string",
"type": "string",
"input": "string",
"ctx": {
"property1": null,
"property2": null
}
}
]
}{
"error": "string",
"error_code": "string"
}{
"error": "string",
"error_code": "string"
}Taip pat žiūrėkite
Kaip vertinate šį puslapį?